# oneview_san_manager – Manage OneView SAN Manager resources

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Provides an interface to manage SAN Manager resources. Can create, update, or delete.

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 3.1.1

- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

config
path

Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.

data - / required |  | List with SAN Manager properties.

state
-

Choices:
- present ←
- absent
- connection_information_set

Indicates the desired state for the Uplink Set resource. - `present` ensures data properties are compliant with OneView. - `absent` removes the resource from OneView, if it exists. - `connection_information_set` updates the connection information for the SAN Manager. This operation is non-idempotent.

validate_etag
boolean

Choices:
- no
- yes ←

When the ETag Validation is enabled, the request will be conditionally processed only if the current ETag for the resource matches the ETag provided in the data.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json

- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables

- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples

- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Creates a Device Manager for the Brocade SAN provider with the given hostname and credentials
      oneview_san_manager:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          providerDisplayName: Brocade Network Advisor
          connectionInfo:
            - name: Host
              value: 172.18.15.1
            - name: Port
              value: 5989
            - name: Username
              value: username
            - name: Password
              value: password
            - name: UseSsl
              value: true
      delegate_to: localhost

    - name: Ensure a Device Manager for the Cisco SAN Provider is present
      oneview_san_manager:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: 172.18.20.1
          providerDisplayName: Cisco
          connectionInfo:
            - name: Host
              value: 172.18.20.1
            - name: SnmpPort
              value: 161
            - name: SnmpUserName
              value: admin
            - name: SnmpAuthLevel
              value: authnopriv
            - name: SnmpAuthProtocol
              value: sha
            - name: SnmpAuthString
              value: password
      delegate_to: localhost

    - name: Sets the SAN Manager connection information
      oneview_san_manager:
        config: /etc/oneview/oneview_config.json
        state: connection_information_set
        data:
          connectionInfo:
            - name: Host
              value: '172.18.15.1'
            - name: Port
              value: '5989'
            - name: Username
              value: 'username'
            - name: Password
              value: 'password'
            - name: UseSsl
              value: true
      delegate_to: localhost

    - name: Refreshes the SAN Manager
      oneview_san_manager:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: 172.18.15.1
          refreshState: RefreshPending
      delegate_to: localhost

    - name: Delete the SAN Manager recently created
      oneview_san_manager:
        config: /etc/oneview/oneview_config.json
        state: absent
        data:
          name: '172.18.15.1'
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
san_manager dictionary | On state 'present'. Can be null. | Has the OneView facts about the SAN Manager.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)

- Thiago Miotto (@tmiotto)

- Adriane Cardozo (@adriane-cardozo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.